<?php include('header.php');?>
<div class="menucenter">
<?if(!isset($_SESSION["username"]) && !isset($_SESSION["password"]))
{
	echo '<div class="error">Ошибка! Для доступа к данной странице необходимо зарегистрироваться!</div>';
	include('footer.php');
	exit();
}else{
	$username = text($_SESSION["username"]);

	if(!isset($_GET["page"])) {require('stat_task.php'); echo "<br />";}

	$ban_task = mysql_query("SELECT id FROM seelf_task_ban WHERE nameuser='$username'");
	if(mysql_num_rows($ban_task)>9)
		{
			echo '<div class="error">Ошибка! Вы не можете заказать задание. На вас поданы жалобы от пользователей.<br />Если вы считаете жалобы не обоснованными напишите администрации в тех поддержку!<br /><a href="ban_task.php">Подробнее &gt;&gt;</a></div>';
			include('footer.php');
			exit();
		}

if(isset($_GET["page"]))
{
	$option = text($_GET["page"]);
	$date = time();
	$datenorm = DATE("d.m.Yг. в H:i");

	if($option=="next")
		{
			if(count($_POST) > 0)
				{

					$title = (isset($_POST["title"])) ? text($_POST["title"]) : false;
					$type = (isset($_POST["type"])) ? text($_POST["type"]) : false;
					$url = (isset($_POST["url"])) ? text($_POST["url"]) : false;
					$text = (isset($_POST["text"])) ? text($_POST["text"]) : false;
					$c_text = (isset($_POST["c_text"])) ? text($_POST["c_text"]) : false;
					$pay = (isset($_POST["pay"])) ? text($_POST["pay"]) : false;
					$credits = intval($_POST["credits"]);
					$color = intval($_POST["color"]);
					$vip = intval($_POST["vip"]);
                    $zv_task = (isset($_POST["zv_task"])) ? intval($_POST["zv_task"]) : false;

					if(empty($title)){echo '<div class="error">Ошибка! Вы не указали название задания!</div>'; include('footer.php'); exit;}
					if(empty($type)){echo '<div class="error">Ошибка! Вы не указали тип задания!</div>'; include('footer.php'); exit;}
					if($url=="" or $url=="http://"){echo '<div class="error">Ошибка! Вы не указали cсылку для выполнения задания!</div>'; include('footer.php'); exit;}
					if(empty($text)){echo '<div class="error">Ошибка! Вы не указали описание!</div>'; include('footer.php'); exit;}
					if(empty($c_text)){echo '<div class="error">Ошибка! Вы не указали информацию необходимую для подтверждения задания!</div>'; include('footer.php'); exit;}
					if(empty($pay)){echo '<div class="error">Ошибка! Не указана цена выполнения задания!</div>'; include('footer.php'); exit;}
					if($color!=0 and $color!=1){echo '<div class="error">Ошибка! Вы не выбрали цвет выделения задания!</div>'; include('footer.php'); exit;}
					if($vip!=0 and $vip!=1){echo '<div class="error">Ошибка! Вы не выбрали категорию задания!</div>'; include('footer.php'); exit;}

					if($credits < 10){echo '<div class="error">Ошибка! Минимальное количество заданий для заказа 10 шт.!</div>'; include('footer.php'); exit;}
					if($pay < 0.10){echo '<div class="error">Ошибка! Минимальная цена для выполнения задания 0.10 руб.!</div>'; include('footer.php'); exit;}

                    if($zv_task !=0 and $zv_task!=1){echo '<div class="error">Ошибка! Не верный ввод данных!</div>'; include('footer.php'); exit;}

					if($color=="0")
						{$cenacolor="0"; $colorto="Нет";}
					elseif($color=="1")
						{$cenacolor=(0.05 * $credits); $colorto="Да(+$cenacolor руб.)";}
					else {$cenacolor="0"; $colorto="Нет";}

					if($vip=="0")
						{$cenavip="0"; $vipto="Нет";}
					elseif($vip=="1")
						{$cenavip=(0.15 * $credits); $vipto="Да(+$cenavip руб.)";}
					else {$cenavip="0"; $vipto="Нет";}

                    if($zv_task=="0")
						{$task_v="Один раз";}
					elseif($zv_task=="1")
						{$task_v="Один раз в 24 часа";}

					$summa = ($pay * $credits * 1.20) + $cenacolor + $cenavip;
					$summa = round($summa,3);

					?>
<table class='reyt' width='100%' border='0' cellpadding='0' cellspacing='0'>
<thead><tr>
<th align="left">Параметр</th>
<th align="left">Значение параметра</th>
</tr></thead>
<tbody><tr>
<td class='value' align='left' ><b>Название задания:</b></td>
<td class='value' align='left' ><?php echo $title;?></td>
</tr>
<tr>
<td class='value' align='left' ><b>Тип задания:</b></td>
<td class='value' align='left' ><?php echo $type;?></td>
</tr>
<tr>
<td class='value' align='left' ><b>Ссылка для перехода:</b></td>
<td class='value' align='left' ><a href="<?php echo $url;?>" target="newwin"><?php echo $url;?></a></td>
</tr>
<tr>
<td class='value' align='left' ><b>Описание:</b></td>
<td class='value' align='left' ><textarea rows="5" cols="50"><?php echo $text;?></textarea></td>
</tr>
<tr>
<td class='value' align='left' ><b>Информация для проверки:</b></td>
<td class='value' align='left' ><?php echo $c_text;?></td>
</tr>
<tr>
<td class='value' align='left' ><b>Количество заданий:</b></td>
<td class='value' align='left' ><?php echo $credits;?> шт.</td>
</tr>
<tr>
<td class='value' align='left' ><b>Цена одного выполнения:</b></td>
<td class='value' align='left' ><?php echo $pay;?> руб.</td>
</tr>
<tr>
<td class='value' align='left' ><b>Выделение цветом:</b></td>
<td class='value' align='left' ><?php echo $colorto;?></td>
</tr>
<tr>
<td class='value' align='left' ><b>VIP категория:</b></td>
<td class='value' align='left' ><?php echo $vipto;?></td>
</tr>
<tr>
<td class='value' align='left' ><b>К оплате:</b></td>
<td class='value' align='left' ><font color="red"><b><?php echo $summa;?> руб.</b></font></td>
</tr>
<tr>
<td class='value' align='left' ></td>
<td class='value' align='left' ><form action="<?php echo $_SERVER['PHP_SELF'];?>?page=pay" method="post">
						<input type="hidden" name="title" value="<?php echo $title;?>">
						<input type="hidden" name="type" value="<?php echo $type;?>">
						<input type="hidden" name="url" value="<?php echo $url;?>">
						<input type="hidden" name="text" value="<?php echo $text;?>">
						<input type="hidden" name="c_text" value="<?php echo $c_text;?>">
						<input type="hidden" name="credits" value="<?php echo $credits;?>">
						<input type="hidden" name="pay" value="<?php echo $pay;?>">
						<input type="hidden" name="color" value="<?php echo $color;?>">
						<input type="hidden" name="vip" value="<?php echo $vip;?>">
                        <input type="hidden" name="zv_task" value="<?php echo $zv_task;?>">
						<input type="submit" class="ok_wm" value="Оплатить">
					</form></td>
</tr>
</tbody>
</table><?
				}else{
					?><script type="text/javascript">location.replace("<?=$_SERVER['PHP_SELF']?>");</script><?
				}
		}

	if($option=="pay")
		{
			if(count($_POST) > 0)
				{

				    require_once('bbcode.php');
				    $title = (isset($_POST["title"])) ? text($_POST["title"]) : false;
					$type = (isset($_POST["type"])) ? text($_POST["type"]) : false;
					$url = (isset($_POST["url"])) ? text($_POST["url"]) : false;
					$text = (isset($_POST["text"])) ? bbcod($_POST["text"], true, true) : false;
					$c_text = (isset($_POST["c_text"])) ? text($_POST["c_text"]) : false;
					$pay = (isset($_POST["pay"])) ? text($_POST["pay"]) : false;
					$credits = intval($_POST["credits"]);
					$color = intval($_POST["color"]);
					$vip = intval($_POST["vip"]);
                    $zv_task = (isset($_POST["zv_task"])) ? intval($_POST["zv_task"]) : false;

					if(empty($title)){echo '<div class="error">Ошибка! Вы не указали название задания!</div>'; include('footer.php'); exit;}
					if(empty($type)){echo '<div class="error">Ошибка! Вы не указали тип задания!</div>'; include('footer.php'); exit;}
					if($url=="" or $url=="http://"){echo '<div class="error">Ошибка! Вы не указали cсылку для выполнения задания!</div>'; include('footer.php'); exit;}
					if(empty($text)){echo '<div class="error">Ошибка! Вы не указали описание!</div>'; include('footer.php'); exit;}
					if(empty($c_text)){echo '<div class="error">Ошибка! Вы не указали информацию необходимую для подтверждения задания!</div>'; include('footer.php'); exit;}
					if(empty($pay)){echo '<div class="error">Ошибка! Не указана цена выполнения задания!</div>'; include('footer.php'); exit;}
					if($color!=0 and $color!=1){echo '<div class="error">Ошибка! Вы не выбрали цвет выделения задания!</div>'; include('footer.php'); exit;}
					if($vip!=0 and $vip!=1){echo '<div class="error">Ошибка! Вы не выбрали категорию задания!</div>'; include('footer.php'); exit;}

					if($credits < 10){echo '<div class="error">Ошибка! Минимальное количество заданий для заказа 10 шт.</div>'; include('footer.php'); exit;}
					if($pay < 0.10){echo '<div class="error">Ошибка! Минимальная цена для выполнения задания 0.10 руб.!</div>'; include('footer.php'); exit;}

                    if($zv_task !=0 and $zv_task!=1){echo '<div class="error">Ошибка! Не верный ввод данных!</div>'; include('footer.php'); exit;}

					if($color=="0")
						{$cenacolor="0"; $color="#FFF";}
					elseif($color=="1")
						{$cenacolor=(0.05 * $credits); $color="#e6edf4";}
					else {$cenacolor="0"; $color="#FFF";}

					if($vip=="0")
						{$cenavip="0"; $vip="";}
					elseif($vip=="1")
						{$cenavip=(0.15 * $credits); $vip="1";}
					else {$cenavip="0"; $vip="";}

					$summa = ($pay * $credits * 1.20) + $cenacolor + $cenavip;
					$summa = round($summa,3);

					$sql_user = mysql_query("SELECT money_cr FROM tb_users WHERE username='$username'");
					$row_user = mysql_fetch_array($sql_user);

					$money = $row_user["money_cr"];

					if($money<$summa)
						{
							echo '<div class="error">Ошибка! На вашем счету не достаточно средств.<br /><a href="moneytoacc.php">Пополнить баланс &gt;&gt;</a></div>';
							include('footer.php');
							exit;
						}else{
							mysql_query("INSERT INTO seelf_task (namep, date, color, type, title, text, url, c_text, credits, pay, active, vip, 24h) VALUES('$username','$date','$color','$type','$title','$text','$url','$c_text','$credits','$pay','1','$vip','$zv_task')") or die(mysql_error());

							mysql_query("INSERT INTO tb_zakazu (user, date, amount, method, status, tipo) VALUES('$username', '$datenorm', '$summa', 'Оплата рекламы(задания - $credits шт.)', 'Оплачено', 'reklama')") or die(mysql_error());
							mysql_query("UPDATE tb_users SET money_cr=money_cr-$summa, nareklamu=nareklamu+$summa WHERE username='$username'") or die(mysql_error());

							echo '<div class=good>&nbsp;Задание успешно добавлено!';
							echo '<br /><a href="task.php">Перейти к списку заданий &gt;&gt;</a></div>';
							include('footer.php');
							exit();
						}
				}else{
					?><script type="text/javascript">location.replace("<?=$_SERVER['PHP_SELF']?>");</script><?
				}
		}
}else{

	?><script type="text/javascript" src="js/bbcod.js"></script>
<form id="comment" method="POST" action="<?php echo $_SERVER['PHP_SELF'];?>?page=next">
<table class='reyt' width='100%' border='0' cellpadding='0' cellspacing='0'>
<thead><tr>
<th align="center">Параметр</th>
<th align="center">Значение параметра</th>
</tr></thead>
<tbody><tr>
<td align="left"><label><b>Название задания:</b></label></td>
<td align="left"><input type="text" name="title" size="35" maxlength="100" value="" tabindex="1" /></td>
</tr>
<tr>
<td align="left"><label><b>Тип задания:</b></label></td>
<td align="left"><select type="combo" name="type" tabindex="2">
					<option value="клики">клики</option>
					<option value="регистрация без активности">регистрация без активности</option>
					<option value="регистрация с активностью">регистрация с активностью</option>
					<option value="прочее">прочее</option>
		</select></td>
</tr>
<tr>
<td align="left"><label><b>Выполнять задание:</b></label></td>
<td align="left"><select type="combo" name="zv_task" tabindex="2">
   <option value="0">Один раз</option>
   <option value="1">Один раз в 24 часа</option>
</select></td>
</tr>
<tr>

<td align="left"><label><b>Ссылка для перехода:</b></label></td>
<td align="left"><div id="form"><input type="text" name="url" size="35" maxlength="150" value="http://" tabindex="3" style="width: 360px;" /></div></td>
</tr>


<tr>
<td class="value" colspan="2"><b><center>Описание:</center></b></td>
</tr>

<script type="text/javascript" src="js/bbcod.js"></script>
<tr>
</tr>
<td align="left" border:1px solid #c0c0c0;">
<span class="btn-bold" title="Выделить жирным" value=" B " onclick="insert_comm('[b]','[/b]')" type="button"></span>
<span  class="btn-italic" title="Выделить курсивом" value=" I " onclick="insert_comm('[i]','[/i]')" type="button"></span>
<span  class="btn-uline" title="Выделить подчёркиванием" value=" U " onclick="insert_comm('[u]','[/u]')" type="button"></span>
</td>
<td align="right" border:1px solid #c0c0c0;">
<input style="background: url('copilca/smile/1.gif');border:0;height: 18px;width:18px;" onclick="insert_comm('',':-_')" type="button">
<input style="background: url('copilca/smile/2.gif');border:0;height: 23px;width:26px;" onclick="insert_comm('',':-8')" type="button">
<input style="background: url('copilca/smile/3.gif');border:0;height: 22px;width:24px;" onclick="insert_comm('',':-(')" type="button">
<input style="background: url('copilca/smile/4.gif');border:0;height: 25px;width:25px;" onclick="insert_comm('',':~)')" type="button">
<input style="background: url('copilca/smile/5.gif');border:0;height: 20px;width:20px;" onclick="insert_comm('',':-9')" type="button">
<input style="background: url('copilca/smile/6.gif');border:0;height: 27px;width:20px;" onclick="insert_comm('','8-)')" type="button">
<input style="background: url('copilca/smile/7.gif');border:0;height: 20px;width:20px;" onclick="insert_comm('','9-)')" type="button">
<input style="background: url('copilca/smile/8.gif');border:0;height: 22px;width:31px;" onclick="insert_comm('','10-)')" type="button">
<input style="background: url('copilca/smile/9.gif');border:0;height: 24px;width:31px;" onclick="insert_comm('','11-)')" type="button">
<input style="background: url('copilca/smile/10.gif');border:0;height: 27px;width:47px;" onclick="insert_comm('','12-)')" type="button">
<input style="background: url('copilca/smile/11.gif');border:0;height: 23px;width:26px;" onclick="insert_comm('','13-)')" type="button">
</td>
<tr>
<td align="center" colspan="2">
<textarea id="comess" name="text" rows=0 class="comtextur" style="height: 100px; width: 570px;" maxlength="500" value=""></textarea>
</td>
</tr>

<tr>
<td align="left"><label><b>Укажите что нужно для проверки:</b></label></td>
<td align="left"><div id="form"><input type="text" name="c_text" size="35" maxlength="100" value="" tabindex="5" /></div></td>
</tr>
<tr>
<td align="left"><label><b>Количество заданий:</b></label></td>
<td align="left"><div id="form"><input type="text" name="credits" size="35" maxlength="4" value="10" tabindex="6" /></div></td>
</tr>
<tr>
<td align="left"><label><b>Цена одного выполнения:</b></label></td>
<td align="left"><div id="form"><input type="text" name="pay" size="35" maxlength="4" value="0.50" tabindex="7" /></div></td>
</tr>
<tr>
<td align="left"><label><b>Выделить цветом:</b></label></td>
<td align="left"><select type="combo" name="color" tabindex="8">
<option value="0">Нет</option>
<option value="1">Да (+0.05 руб. к 1 заданию)</option>
</select></td>
</tr>
<?
require('config.php');
$vip_task = mysql_query("SELECT id FROM seelf_task WHERE vip='1'");
if(mysql_num_rows($vip_task)>7)
{
echo '
<tr><td align="left"><label><b>VIP категория:</b></label></td>
<td align="left"><select type="combo" name="vip" tabindex="8">
<option value="0">Мест НЕТ</option>
</select></td></tr>
';
}else{
echo '
		<tr><td align="left"><label><b>VIP категория:</b></label></td>
		<td align="left"><select type="combo" name="vip" tabindex="8">
					<option value="0">Нет</option>
					<option value="1">Да (+0.15 руб. к заданию)</option>
		</select></td></tr>';
} ?>
		<tr><td align="left">&nbsp;</td>
		<td align="left">&nbsp;<input class="ok_wm" type="submit" value="Далее &gt;&gt;" class="submit" tabindex="9" /></td></tr>
</tbody>
</table>
	</form>
<? }  }?>
<?php include('footer.php');?>